﻿$(function () {
    $("#nvc_province_code").change(function () {
        _citySel.uninit();
        _citySel.getFirstCountry($("#nvc_province_code").val());
        $("#nvc_area_code").empty();

    });

    $("#nvc_city_code").change(function () {
        _citySel.uninit();
        _citySel.getSecondCountry($("#nvc_city_code").val());

    });
});

var _citySel = {
    getState: null,//获取大类
    getFirstCountry: null,
    getSecondCountry: null,
    init: null,//初始化
    uninit: null,//去掉初始化
    state: 0,
    cfirst: 0,
    csecond: 0
}


_citySel.init = function (state, cfirst, csecond) {
    _citySel.state = state;
    _citySel.cfirst = cfirst;
    _citySel.csecond = csecond;

    _citySel.getState();
    if (state != '') {
        _citySel.getFirstCountry(state);
    }
    if (cfirst != '') {
        _citySel.getSecondCountry(cfirst);
    }
    
}
_citySel.uninit = function () {
    _citySel.state = 0;
    _citySel.cfirst = 0;
    _citySel.csecond = 0;
}


_citySel.getState = function () {
    var obj = $("#nvc_province_code");
    $.ajax({
        type: "POST",
        url: "/Api/getProvince",
        data: {},
        dataType: "json",
        async: false,
        success: function (r) {
            if (r && r.success) {
                obj.empty();
                var html = '';
                html += '<option value="" ' + (_citySel.state == 0 ? "selected" : "") + '>请选择</option>';
                for (var key in r.data) {
                    html += '<option value=' + key + '' + (key == _citySel.state ? ' selected' : '') + '>' + r.data[key] + '</option>';
                };
                obj.html(html);
            }
            else {
                layer.alert(r.msg);
            }
        }

    });

}

_citySel.getFirstCountry = function (Ids) {
    var obj = $("#nvc_city_code");
    $.ajax({
        type: "POST",
        url: "/Api/getArea",
        data: { nvc_code: Ids },
        dataType: "json",
        async: false,
        success: function (r) {
            if (r && r.success) {
                obj.empty();
                var html = '';
                html += '<option value="" ' + (_citySel.cfirst == 0 ? "selected" : "") + '>请选择</option>';

                for (var key in r.data) {
                    html += '<option value=' + key + '' + (key == _citySel.cfirst ? ' selected' : '') + '>' + r.data[key] + '</option>';
                };
                obj.html(html);
            }
            else {
                layer.alert(r.msg);
            }
        }
    });
}

_citySel.getSecondCountry = function (Ids) {
    var obj = $("#nvc_area_code");
    $.ajax({
        type: "POST",
        url: "/Api/getArea",
        data: { nvc_code: Ids },
        dataType: "json",
        async: false,
        success: function (r) {
            if (r && r.success) {
                obj.empty();
                var html = '';
                html += '<option value="" ' + (_citySel.csecond == 0 ? "selected" : "") + '>请选择</option>';

                for (var key in r.data) {
                    html += '<option value=' + key + '' + (key == _citySel.csecond ? ' selected' : '') + '>' + r.data[key] + '</option>';
                };
                obj.html(html);
            }
            else {
                layer.alert(r.msg);
            }
        }
    });
}

